# $Revision: 1.14 $, $Date: 2002/07/24 15:21:14 $
%include	/usr/lib/rpm/macros.python
%define		module	ReportLab
Summary:	Python library for generating PDFs and graphics
Summary(pl):	Moduy Pythona do generowania PDFw oraz grafik
Name:		python-%{module}
Version:	1.14
Release:	1
License:	distributable
Group:		Libraries/Python
Source0:	http://www.reportlab.com/ftp/ReportLab_%(echo %{version} | sed 's/\./_/').tgz
URL:		http://www.reportlab.com/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
Requires:	python-Imaging
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	%{module}

%description
A library written in python that lets you generate platform
independant PDFs and graphics.
- PDF generation: Uses Python, a clean OO language, layered
  architecture
- Graphics: provides primitive shapes, reusable widgets, sample
  collections including business chart and diagrams
- PythonPoint: A utility for generating PDF slides from a simple XML
  format

%description -l pl
Biblioteka napisana w pythonie pozwalajca na generowanie niezalenych
od platformy PDF-w oraz grafik.
- Generowanie PDF: Uywa Pythona, przejrzystego jzyka obiektowego o
  warstwowej architekturze
- Grafika: podstawowe figury geometryczne, kontrolki, a take
  przykady, wczajc w to wykresy i diagramy
- PythonPoing: Narzdzie do generowania slajdw w formacie PDF z
  prostego formatu XML

%prep
%setup -q -n reportlab

%build
%{__make} -C lib -f Makefile.pre.in boot
%{__make} -C lib OPT="%{rpmcflags}" CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{py_sitedir}/%{module}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -rf test
cp -aR * $RPM_BUILD_ROOT%{py_sitedir}/%{module}
mv demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

echo "%{module}" > $RPM_BUILD_ROOT%{py_sitedir}/reportlab.pth
ln -s %{module} $RPM_BUILD_ROOT%{py_sitedir}/reportlab

install tools/py2pdf/py2pdf.py $RPM_BUILD_ROOT%{_bindir}
install tools/pythonpoint/pythonpoint.py $RPM_BUILD_ROOT%{_bindir}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/* license*
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/*.pth
%dir %{py_sitedir}/reportlab
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/extensions
%{py_sitedir}/%{module}/extensions/*.py[co]
%dir %{py_sitedir}/%{module}/fonts
%{py_sitedir}/%{module}/fonts/*.AFM
%{py_sitedir}/%{module}/fonts/*.PFB
%{py_sitedir}/%{module}/fonts/*.ttf
%{py_sitedir}/%{module}/fonts/*.txt
%dir %{py_sitedir}/%{module}/graphics
%{py_sitedir}/%{module}/graphics/*.py[co]
%dir %{py_sitedir}/%{module}/graphics/charts
%{py_sitedir}/%{module}/graphics/charts/*.py[co]
%dir %{py_sitedir}/%{module}/graphics/widgets
%{py_sitedir}/%{module}/graphics/widgets/*.py[co]
%dir %{py_sitedir}/%{module}/lib
%{py_sitedir}/%{module}/lib/*.py[co]
%attr(755,root,root) %{py_sitedir}/%{module}/lib/*.so
%dir %{py_sitedir}/%{module}/pdfbase
%{py_sitedir}/%{module}/pdfbase/*.py[co]
%dir %{py_sitedir}/%{module}/pdfgen
%{py_sitedir}/%{module}/pdfgen/*.py[co]
%dir %{py_sitedir}/%{module}/platypus
%{py_sitedir}/%{module}/platypus/*.py[co]
%dir %{py_sitedir}/%{module}/tools
%{py_sitedir}/%{module}/tools/*.py[co]
%dir %{py_sitedir}/%{module}/tools/docco
%{py_sitedir}/%{module}/tools/docco/*.py[co]
%dir %{py_sitedir}/%{module}/tools/py2pdf
%{py_sitedir}/%{module}/tools/py2pdf/*.py[co]
%{py_sitedir}/%{module}/tools/py2pdf/*.jpg
%{py_sitedir}/%{module}/tools/py2pdf/*.txt
%dir %{py_sitedir}/%{module}/tools/pythonpoint
%{py_sitedir}/%{module}/tools/pythonpoint/*.py[co]
%{py_sitedir}/%{module}/tools/pythonpoint/*.dtd
%dir %{py_sitedir}/%{module}/tools/pythonpoint/styles
%{py_sitedir}/%{module}/tools/pythonpoint/styles/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-ReportLab.spec,v $
Revision 1.14  2002/07/24 15:21:14  wiget
- updated to 1.14

Revision 1.13  2002/07/23 20:09:55  marcus
- use new %%doc
- rel.3.

Revision 1.12  2002/04/13 17:16:10  kloczek
- rebuild against python 2.2.1.

Revision 1.11  2002/04/11 13:54:47  wrobell
- rel. 2, stb

Revision 1.10  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.9  2002/04/04 18:14:31  wrobell
- fuck! now it is really 1.13 version :-/  -- play nicely with version in
  Source0 line

Revision 1.8  2002/04/04 18:06:56  wrobell
- ver. 1.13 /bugfix release/
- stb

Revision 1.7  2002/03/18 07:20:38  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.6  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/05 11:51:40  kloczek
- spec adapterized and some cosmetics.

Revision 1.3  2002/02/05 10:44:53  wrobell
- typo

Revision 1.2  2002/02/05 10:34:53  wrobell
- improve polish translation
- move demos to %{_examplesdir} dir

Revision 1.1  2002/02/04 19:17:55  misiek
- initial pld release
